## 0.1 : 2022-07-19-videopi.img.xz
md5sum : 7e80ede8ac4eed8b8088a3b075bdc1f2  
sha256 : 03de0272c71bd4614678b05c076d0e77df3f49039ad357ef9152374c748e7f1c  

  * VLC installed, H264 1080p playback ok, wifi ok, remote control via telnet script
  * Run `ssh-keygen -A` at first boot for the ssh server to work

## 0.2 : 2022-09-24-videopi.img.xz
md5sum : f859f269c44f614e22e4fe601c3bb134  
sha256 : b6fd8ef4eb726d4ce7d196b9aebf910f32327ecd43f0d78140b8647d328ded22  

  * Switch VLC to use http lua control
  * Add systemd unit for running VLC on startup
  * Add RTL8821CU driver for rpi 1/3    
  * Boot is now totally silent (blank screen)
  * Disable Bluetooth

## 0.3 : 2022-10-09-videopi.img.xz
md5    : 8e5e5b474af47519785d5a4696db04e2
sha256 : 0fe3fe76d0e56e445124fa20646fa8b3d8c59568786b3ebc8a96d83d92f203e3

  * Add rtl8192eu driver for rpi1/3
  * Add http server for custom commands : reboot, shutdown, wifi signal, led blinking
  * Add vlc.playlist.move method to VLC http lua (httprequests.luac)
  * Add playlist to Webgui
  * config file parsing ( look for 'videopi.toml' in ./, ~/., ~/.config/)
  * Add VLC/waitress systemd units for automatic startup
  * Use nginx reverse proxy + SSL between server and clients ( https://medium.com/@antelle/how-to-generate-a-self-signed-ssl-certificate-for-an-ip-address-f0dd8dddf754 )
  * Webgui beautifying

## 0.4 : 2022-10-21-pilpil.img.xz
md5    :  dee7af70135994169cab4f073ee51905
sha256 :  ec3e17fc9b41f8c5181484e9866be2d1d92cab8403210e3d22f4f689edd4cfde

  * Switch to rpi os Bullseye arm64
  * Switch to user 'pil', pw 'pilpoil'
  * client config file parsing ( look for 'pilpil-client.toml' in ./, ~/., ~/.config/)
  * Add media folder sync (scp, rsync, http upload)
  * Install script ; Wifi setup, generate/install SSH keys/ nginx SSL cert/key fore each host, change hostname, static IPs
  
## 0.5 : 2022-11-17-pilpil.img.xz
md5    : d1dd7404ec05d16c8a4179370a214821
sha256 : 401359a84c6d60902c05602bd52fae70f0b2ecac36d550b52d14e1e3230854a6

 * webgui : Increase live host scan when host first found
 * webgui : Btn hover/press fixed
 * webgui : File selection/enqueuing
 * server : Disable ssl verif for isup()
 * server : Blink command
 * client : rt8821cu driver is back
 * client : Use safe overclocking settings for rpi1, 3, 4, better memory split
 * setup : Split git repo from pilpil-server
 * setup : Generate/install random http auth secret at setup
 * setup : Add dry, help flags
 * FR localisation for server, client and install script
 * pep8ification 

## 0.6 : 2023-01-06-pilpil.img.xz
md5    : 
sha256 :
  
  * os update, cleanup
  * server: upload in chunks
  * server: file upload : only send new files, get upload status (/sync/status)
  * server: pep8fied (except for line length)
  * server: better overclock values for RPIs
  * server: VLC file caching set to 5000ms for seamless playback
  * server: BCM4345 workaround to solve wifi connectivity (https://wiki.arthus.net/?Rpi_wifi_-_BCM4345_and_CTRL-EVENT-ASSOC-REJECT)
  * webgui: remove file from timeline (drag&drop to bin)
  * webgui: upload progress dialog
  * webgui: l10n html + js
  * webgui: Add remote file enqueuing
  * webgui: Fix timeline UI
  * webgui: Add video thumbnails to timeline UI
  * webgui: fix timeline/file sync with multiple clients
  * webgui: file sync queuing UI
  * webgui: sync all live hosts button
  * webgui: Add remove from sync queue button
  * webgui: Poweroff/Reboot all btn
  * client: Only blink when running on rpi
  * client: Generate video thumbnails on startup/upload with ffmpeg, serve SVG when file not found, create folder if needed



# FS checklist
  * /etc/dhcpcd.conf
  * /etc/ssh/sshd_config
  * ~/.ssh/authorized_keys
  * ~/Videos/*
  * /etc/hostname, /etc/hosts
  * /etc/ssl/private/nginx-selfsigned.key
  * /etc/ssl/certs/nginx-selfsigned.crt
  * /etc/wpa_supplicant/wpa_supplicant.conf
  * dd if=/dev/zero of=/home/pil/Videos/remove_me bs=4MB count=100
  

# DOING NEXT :
    * FIXME : playhead stuck after removing item from playlist
  
#  DONE :
  
# TODO :
 * check control from wifi client ( smartphone )
 * playlist save/load ?
 * webgui/server : interrupt current download ?
 * server : remove incomplete uploaded files before new upload ?
 * webgui : upload status CSS transition ?
 * ! Remove git personal details/resolv.conf, remove authorized_keys, ssh config, clean home, re-enable ssh pw login
 * ~ Doc

# OTHER: 
 * ? Scripts hotspot 
        linux : nmcli 
        win   : https://github.com/JamesCullum/Windows-Hotspot
        mac   : https://apple.stackexchange.com/questions/2488/start-stop-internet-sharing-from-a-script
 * get_client_rssi.sh on server

# À FINANCER
 * Shutters/motor control 
 * XLR support 
 * UDEV rules : keyboard/mouse = standalone GUI